Devuan bug report logs - #781
Xorg crashes when switching to a console

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Devuan Developers <devuan-dev@lists.dyne.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Tom <deltomix@gmail.com>

Date: Wed, 30 Aug 2023 20:26:02 UTC

Severity: normal

Merged with 779, 780, 782

Fixed in version 2:21.1.7-3devuan2~exp1

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#781; Package xserver-xorg-core. (Wed, 30 Aug 2023 20:26:02 GMT) (full text, mbox, link).


Acknowledgement sent to Tom <deltomix@gmail.com>:
New bug report received and forwarded. Copy sent to Devuan Developers <devuan-dev@lists.dyne.org>. (Wed, 30 Aug 2023 20:26:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Tom <deltomix@gmail.com>
To: submit@bugs.devuan.org
Subject: Xorg crashes when switching to a console
Date: Wed, 30 Aug 2023 16:23:15 -0400
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-core

Version: 2:21.1.7-3devuan1

Observed behavior:

After dist-upgrade from Chimaera to Daedalus, after running x via 
startx, and then at any time switching to a console terminal via 
CTRL-ALT-F# - xorg crashes immediately.

Expected behavior:

When switching to a console terminal xorg should remain running, and it 
should be possible to switch back to it's console.


---Begin dmesg output of kernel segfault---

[99998.420337] show_signal_msg: 13 callbacks suppressed
[99998.420345] xdg-desktop-por[22128]: segfault at 7f4d3d3fcdf8 ip 
00007f4d4533c5fa sp 00007f4d3d3fce00 error 6 likely on CPU 2 (core 2, 
socket 0)
[99998.420357] Code: b8 ea ff ff ff 48 85 ff 74 2c 48 85 d2 74 27 49 89 
c8 b8 b3 01 00 00 0f 05 48 85 c0 7c 18 74 01 c3 31 ed 48 83 e4 f0 4c 89 
c7 <ff> d2 48 89 c7 b8 3c 00 00 00 0f 05 48 8b 0d d3 87 0c 00 f7 d8 64

---End dmesg output of kernel segfault---


Attached is a copy of an Xorg.1.log file recorded for a session that 
crashed on vt switch.

Let me know if I can provide additional info, and happy to test if needed.

 - DelTomix

[Xorg.1.log (text/plain, attachment)]

Merged 779 780 781 782 Request was from Mark Hindley <mark@hindley.org.uk> to 779-submit@bugs.devuan.org. (Wed, 30 Aug 2023 21:34:02 GMT) (full text, mbox, link).


Message #8 received at 779-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 779-done@bugs.devuan.org
Subject: #779: fixed in src:xorg-server version 2:21.1.7-3devuan2~exp1
Date: Sat, 09 Sep 2023 16:24:59 +0000
Version: 2:21.1.7-3devuan2~exp1

Source package xorg-server (2:21.1.7-3devuan2~exp1) added to Devuan suite experimental.

This closes bug report 779.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 09 Sep 2023 15:03:44 +0100
Source: xorg-server
Architecture: source
Version: 2:21.1.7-3devuan2~exp1
Distribution: experimental
Urgency: medium
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Closes: 779
Changes:
 xorg-server (2:21.1.7-3devuan2~exp1) experimental; urgency=medium
 .
   * Update libseat support patch with vt switching fixes (Closes: #779).
Checksums-Sha1:
 dbc85255150fc3a49b8ab03c273c6acfe5ec476b 3703 xorg-server_21.1.7-3devuan2~exp1.dsc
 b94a335de9f1c9ca938ab886fbaee39cf2063bac 135268 xorg-server_21.1.7-3devuan2~exp1.debian.tar.xz
 583d329736f39c8d62b00f6a991bf30ad961988b 5582 xorg-server_21.1.7-3devuan2~exp1_source.buildinfo
Checksums-Sha256:
 222262a25bf24bbf886b9725e9a69e7f860a3639ccd471db6a41fd56378b44b2 3703 xorg-server_21.1.7-3devuan2~exp1.dsc
 45052dfcdb523419de22c3a2f5f95b93540fddb336dc8417a729bb68c3685dea 135268 xorg-server_21.1.7-3devuan2~exp1.debian.tar.xz
 2da955e19bd5f24e7f58a0a27310bcbe405ec50648e789f3acfa7fdc6262370a 5582 xorg-server_21.1.7-3devuan2~exp1_source.buildinfo
Files:
 8acaa188523eb73f0565f10690ea6760 3703 x11 optional xorg-server_21.1.7-3devuan2~exp1.dsc
 3ea913f2a228001c099d3d278598daaf 135268 x11 optional xorg-server_21.1.7-3devuan2~exp1.debian.tar.xz
 aa835e5c412d4d1110922baeca70ae07 5582 x11 optional xorg-server_21.1.7-3devuan2~exp1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmT8kOkACgkQlFMhJFQZ
IvsjDAf+PwSpFCq0iqKsiI84YfsIMU3IQwfYvyYak8Pp0/c1zgz/jrRiIsf2vCyh
HDbpldVrHoLFUKSkb6wX6/MxmB3JqhkMnzE9y1m8z+tonYCHTiMj0mTbA+cniSex
oEbl5CnshrlSWAdaIxMi5OshhQAK2TTsAfy67Egtt5haMOPqKbu+i9qwuu6j3nJH
kMcupxoxUQuDhfGqwowhJVY/JhC8aFA64f3ZVBzKvTUAelY7sf3Vt5UTNBnBBw5O
jLCrk7L2aAUF6rtTjT+owPWMMpE1ZhFMl9n3HPjJV0hw9RD+n0pLo6A3fd4OQww0
TT8EKopq9rtQtZgFTU/aywWdk+GnEA==
=mdFf
-----END PGP SIGNATURE-----

Disconnected #779 from all other report(s). Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Tue, 12 Sep 2023 17:42:01 GMT) (full text, mbox, link).


Merged 779 780 781 782 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Tue, 12 Sep 2023 17:42:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Jul 25 20:06:06 2024;